var Est31300_MovimentacaodeEstoque_Service = function(Est31300_MovimentacaodeEstoque_Repository, restEngine, ZHPromise) {
    
    this.requestReport = function(row) {
        
        var mascara = 20 - row.CDPRODFIN.length;
		row.CDPRODFIN = row.CDPRODFIN + 'z'.repeat(mascara).substring(0, mascara);
        
        // row.CDPRODFIN = row.CDPRODFIN + "zzzzzzzzzz";
        // row.CDPRODFIN = row.CDPRODFIN.substring(0, 10);
        
        if(row.REPORT_NAME === 'Est31300' || row.REPORT_NAME === 'Est31300MovEstoqueSintetico' || row.REPORT_NAME === 'Est31400MovEstoqueConsolidadoAnali' || row.REPORT_NAME === 'Est31400MovEstoqueConsolidadoSint' || row.REPORT_NAME == 'EST31300SINTCONS') {
            row.IDLANCTO  = row.IDLANCTO || 3;
            row.CUSTOS    = row.CUSTOS || 1;
        }
            return Est31300_MovimentacaodeEstoque_Repository.getReport(row);
    };

    this.retornaParamUnidade = function(cdFilialOpcional) {
        var cdFilialFiltrada = cdFilialOpcional || "FILIAL_LOGADA";
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": cdFilialFiltrada
            }
        ];
        return restEngine.post("est#/crud/paramfilial", {
            "requestType": "FilterData",
            "filter": filter
        });
    }; 

    this.requestValidations = function(cdfilial) {
        var deferred = ZHPromise.defer();

        this.retornaParamUnidade(cdfilial).then(function(response){
            if(response.dataset.paramfilial) {
                var ret = Array();

                ret.IDUTILALMOX = (response.dataset.paramfilial[0].IDUTILALMOX == 'S')? true : false;
                ret.IDUTILLCESTQ = (response.dataset.paramfilial[0].IDUTILLCESTQ == 'S')? true : false;
                ret.IDUTILLOTE = (response.dataset.paramfilial[0].IDUTILLOTE == 'S')? true : false;
                
                deferred.resolve(ret);
            } else {
                deferred.reject({"error": {"message": "Request error."}});
            }
        });

        return deferred;
    };
};

Configuration(function(ContextRegister){
    ContextRegister.register('Est31300_MovimentacaodeEstoque_Service', Est31300_MovimentacaodeEstoque_Service);
});
